
Redmine - Defect #13933

Internal Server Errors when bulk updating issues

2013-05-02 21:16 - Peter Sanchez

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.3.1

Description

Whenever I update from the issue list (ie, right click, change Status) I get an ISE. This didn't used to happen. I noticed it started

around the 2.3.0 upgrade. I just upgraded to 2.3.1, and the same thing. Here's my info from rake about:

About your application's environment

Ruby version              1.8.7 (amd64-freebsd8)

RubyGems version          1.8.25

Rack version              1.4

Rails version             3.2.13

Active Record version     3.2.13

Action Pack version       3.2.13

Active Resource version   3.2.13

Action Mailer version     3.2.13

Active Support version    3.2.13

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x8049f48c0>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /usr/local/www/redmine

Environment               production

Database adapter          postgresql

Database schema version   20130217094251

Here's the log errors:

Started POST "/issues/bulk_update?back_url=%2Fprojects%2Fhouselogic%2Fissues%3Fc%255B%255D%3D

tracker%26c%255B%255D%3Dstatus%26c%255B%255D%3Dpriority%26c%255B%255D%3Dsubject%26c%255B%255D

3Dassigned_to%26c%255B%255D%3Dupdated_on%26c%255B%255D%3Dcategory%26c%255B%255D%3Dfixed_vers

ion%26f%255B%255D%3Dstatus_id%26f%255B%255D%3D%26group_by%3D%26op%255Bstatus_id%255D%3D%253D

26set_filter%3D1%26utf8%3D%25E2%259C%2593%26v%255Bstatus_id%255D%255B%255D%3D1%26v%255Bstatus

_id%255D%255B%255D%3D2&ids%5B%5D=240&issue%5Bstatus_id%5D=7" for 216.240.40.204 at Thu May 02

11:41:28 -0700 2013

Processing by IssuesController#bulk_update as HTML

Parameters: {"back_url"=>"/projects/houselogic/issues?c%5B%5D=tracker&c%5B%5D=status&c%5B%5

D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fi

xed_version&f%5B%5D=status_id&f%5B%5D=&group_by=&op%5Bstatus_id%5D=%3D&set_filter=1&utf8=%E2%

9C%93&v%5Bstatus_id%5D%5B%5D=1&v%5Bstatus_id%5D%5B%5D=2", "ids"=>["240"], "authenticity_token

"=>"8uEilOFVLewsDh/5pBD31azWv3GC/Ao8jbt+Ip+v648=", "issue"=>{"status_id"=>"7"}}

Current user: pjs (id=1)

Rendered mailer/_issue.text.erb (19.5ms)

Rendered mailer/issue_edit.text.erb within layouts/mailer (28.2ms)

Rendered mailer/_issue.html.erb (20.7ms)

Rendered mailer/issue_edit.html.erb within layouts/mailer (26.5ms)

Redirected to http://support.netlandish.com/projects/houselogic/issues?c%5B%5D=tracker&c%5B%5

D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=cate

gory&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=&group_by=&op%5Bstatus_id%5D=%3D&set_fil

ter=1&utf8=%E2%9C%93&v%5Bstatus_id%5D%5B%5D=1&v%5Bstatus_id%5D%5B%5D=2

Completed 302 Found in 1098ms (ActiveRecord: 236.8ms)
Redirected to http://support.netlandish.com/projects/houselogic/issues?c%5B%5D=tracker&c%5B%5

D=status&c%5B%5D=priority&c%5B%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=cate

gory&c%5B%5D=fixed_version&f%5B%5D=status_id&f%5B%5D=&group_by=&op%5Bstatus_id%5D=%3D&set_fil

ter=1&utf8=%E2%9C%93&v%5Bstatus_id%5D%5B%5D=1&v%5Bstatus_id%5D%5B%5D=2

Completed 302 Found in 1098ms (ActiveRecord: 236.8ms)

Started GET "/projects/houselogic/issues?c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B

%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5

B%5D=status_id&f%5B%5D=&group_by=&op%5Bstatus_id%5D=%3D&set_filter=1&utf8=%E2%9C%93&v%5Bstatu

s_id%5D%5B%5D=1&v%5Bstatus_id%5D%5B%5D=2?c%5B%5D=tracker&c%5B%5D=status&c%5B%5D=priority&c%5B

%5D=subject&c%5B%5D=assigned_to&c%5B%5D=updated_on&c%5B%5D=category&c%5B%5D=fixed_version&f%5

B%5D=status_id&f%5B%5D=&group_by=&op%5Bstatus_id%5D=%3D&set_filter=1&utf8=%E2%9C%93&v%5Bstatu

s_id%5D%5B%5D=1&v%5Bstatus_id%5D%5B%5D=2" for 216.240.40.204 at Thu May 02 11:41:30 -0700 2013

Processing by IssuesController#index as HTML

Parameters: {"v"=>{"status_id"=>["1", "2?c[]=tracker", "1", "2"]}, "op"=>{"status_id"=>"="}

, "group_by"=>"", "set_filter"=>"1", "c"=>["tracker", "status", "priority", "subject", "assig

ned_to", "updated_on", "category", "fixed_version", "status", "priority", "subject", "assigne

d_to", "updated_on", "category", "fixed_version"], "project_id"=>"houselogic", "utf8"=>"<E2>

<9C><93>", "f"=>["status_id", "", "status_id", ""]}

Current user: pjs (id=1)

Query::StatementInvalid: PG::Error: ERROR:  invalid input syntax for integer: "2?c[]=tracker"

LINE 1: ...'issue_tracking')) AND ((issues.status_id IN ('1','2?c[]=tra...

^

: SELECT COUNT FROM "issues" LEFT OUTER JOIN "projects" ON "projects"

."id" = "issues"."project_id" LEFT OUTER JOIN "issue_statuses" ON "issue_statuses"."id" = "is

sues"."status_id" WHERE (projects.status <> 9 AND projects.id IN (SELECT em.project_id FROM e

nabled_modules em WHERE em.name='issue_tracking')) AND ((issues.status_id IN ('1','2?c[]=trac

ker','1','2')) AND projects.id = 6)

Rendered common/error.html.erb within layouts/base (0.9ms)

Completed 500 Internal Server Error in 118ms (Views: 42.2ms | ActiveRecord: 27.9ms)

Looks like the error is AFTER the update because the required change is saved. From the error, obviously a non-int is being passed

into PostgreSQL.

PostgreSQL 9.2.4

History

#1 - 2013-05-05 09:15 - Toshi MARUYAMA

- Subject changed from Internal Server Errors when updating from issue list to Internal Server Errors when bulk updating issues

#2 - 2019-12-05 06:04 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce

I cannot reproduce the problem in the latest trunk. I am closing this issue because the issue is very old and no one has reported the same issue in the

past 6 years.

Please reopen this issue if you still experience the error with the latest version of Redmine.
